<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <View
        android:id="@+id/topLine"
        android:layout_width="match_parent"
        android:layout_height="8dp"
        android:background="@color/background"
        android:visibility="gone" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/background_white">

        <LinearLayout
            android:id="@+id/categoryContainer"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="20dp"
            android:gravity="center_horizontal"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <com.facebook.drawee.view.SimpleDraweeView
                android:id="@+id/category_icon"
                style="@style/frescoStyle"
                android:layout_width="18dp"
                android:layout_height="18dp" />

            <TextView
                android:id="@+id/category_name"
                android:layout_width="57dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:gravity="center"
                android:lineSpacingExtra="3dp"
                android:maxLines="2"
                android:textColor="@color/text_title"
                android:textSize="14sp"
                tools:text="热门问题热门问题" />

            <TextView
                android:id="@+id/category_more"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:text="更多 >"
                android:textColor="@color/text_subtitleDesc"
                android:textSize="12sp" />
        </LinearLayout>

        <View
            android:id="@+id/line"
            android:layout_width="1dp"
            android:layout_height="0dp"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="24dp"
            android:layout_marginBottom="24dp"
            android:background="@color/background"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@+id/categoryContainer"
            app:layout_constraintTop_toTopOf="parent" />


        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/qaRv"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="12dp"
            android:layout_marginRight="20dp"
            android:layout_marginBottom="12dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/line"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</LinearLayout>